//
//  SearchCreatorListView.swift
//  SodaLive
//
//  Created by klaus on 3/27/25.
//

import SwiftUI

struct SearchCreatorListView: View {
    
    let itemsList: [SearchResponseItem]
    
    var body: some View {
        ScrollView(.vertical, showsIndicators: false) {
            VStack(spacing: 13.3) {
                ForEach(0..<itemsList.count, id: \.self) {
                    SearchCreatorItemView(item: itemsList[$0])
                }
            }
            .padding(.horizontal, 13.3)
        }
    }
}

#Preview {
    SearchCreatorListView(
        itemsList: [
            SearchResponseItem(
                id: 1,
                imageUrl: "https://test-cf.sodalive.net/profile/default-profile.png",
                title: "Tester",
                nickname: "Tester",
                type: .CREATOR
            ),
            SearchResponseItem(
                id: 2,
                imageUrl: "https://test-cf.sodalive.net/profile/default-profile.png",
                title: "Tester2",
                nickname: "Tester2",
                type: .CREATOR
            )
        ]
    )
}
